WiKi formatting support to custom field

07 Oct 2012 08:17 - Haifeng He

Status: Open Start date: 07 Oct 2012

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.0.3 External issue:  

Description

I installed the redmine on subdirectory on Lighttpd. I expect to add WiKi formatting to custom fileds. The redmine works fine. The

following is my opertation step.

1. Install the “Extended fields” plugin whose version is 0.2.0b

2. Add a custom filed whose format is WiKi text

3. Create a new issue and fill ”WiKi Page” in the custom fileds and summit the issue

4. View the summited issue and find the custom filed is displayed with ”WiKi Page”. I expect the display content should be “WiKi

Page”

5. Click the custom filed and no reponse. I expect that it can jump to the WiKi page when click the custom field.

I want to click the custom filed to implement page jump. I don’t know what wrong it is. Pleas help to check. Thanks.

History

#1 - 07 Oct 2012 08:37 - Andriy Lesyuk

- Tracker changed from Bug to Support

- Status changed from New to Open

The “Wiki text” custom field accepts the Wiki content and not the Wiki page name (you can just copy the content of the Wiki page into custom field).

P.S. To achieve what you want you can create a template for your “Wiki page” custom field. See Custom fields view customization.

#2 - 10 Oct 2012 19:38 - Haifeng He

Thanks for your reply. Last time, I have uninstalled the extended plugin and I want to try by following your advice. However, I found the custom filed

whose type is “Link” doesn’t work when I reinstall the extended fileds plugin after uninstalling the plugin. The following is my operation step.

1. rake redmine:plugins:migrate NAME=extended_fields VERSION=0 RAILS_ENV=production

2. rm plugins/extended_fields -fr

3. service lighttpd restart

4. cd redmine/plugins

5. tar jxvf extended_fields-0.2.0b.tar.bz2

6. chown www-data:www-data extended_fields -R

7. cd ../../

8. rake redmine:plugins:migrate RAILS_ENV=production

9. service lighttpd

Please help to check. Thanks.
http://projects.andriylesyuk.com/projects/extended-fields/wiki/WiKi
http://projects.andriylesyuk.com/projects/extended-fields/wiki/WiKi
http://projects.andriylesyuk.com/projects/extended-fields/wiki/Custom-fields-view-customization


#3 - 25 May 2013 22:04 - Andriy Lesyuk

Could you please check, if the issue is still active? Since that time there was release of 0.2.1...
